import React from 'react';
import moment from 'moment';
var LinkLayout = function LinkLayout(_ref) {
  var editLink = _ref.editLink,
    category = _ref.category,
    children = _ref.children,
    footer = _ref.footer;
  return /*#__PURE__*/React.createElement("div", {
    className: "cdp-link-editor"
  }, /*#__PURE__*/React.createElement("div", {
    className: "cdp-link-editor-top"
  }, /*#__PURE__*/React.createElement("span", {
    style: {
      marginRight: '60px'
    }
  }, "\u7C7B\u578B\uFF1A", category === null || category === void 0 ? void 0 : category.label), editLink ? (/*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement("span", null, "\u521B\u5EFA\u8005\uFF1A", editLink.creator), /*#__PURE__*/React.createElement("span", {
    style: {
      float: 'right'
    }
  }, "\u521B\u5EFA\u65F6\u95F4\uFF1A", moment(editLink.createDate).format('YYYY-MM-DD HH:mm:ss')))) : null), /*#__PURE__*/React.createElement("div", {
    className: "cdp-link-editor-center"
  }, children), /*#__PURE__*/React.createElement("div", {
    className: "cdp-link-editor-bottom"
  }, footer));
};
export default LinkLayout;